Loading...
Searching...
No Matches
Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T > Class Template Reference
Inheritance diagram for Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >:

## Public Types

typedef FieldVector< T, dimWorld > | Vector

## Static Public Member Functions

static bool | computeIntersectionPoints (const std::vector< FieldVector< T, dimWorld > > &X, const std::vector< FieldVector< T, dimWorld > > &Y, std::vector< std::vector< int > > &SX, std::vector< std::vector< int > > &SY, std::vector< FieldVector< T, dimWorld > > &P)
static void | grid1_subdivisions (const std::vector< Vector > &elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)
static void | grid2_subdivisions (const std::vector< Vector > &elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)
static bool | computeIntersectionPoints (const std::vector< Vector > X, const std::vector< Vector > Y, std::vector< std::vector< int > > &SX, std::vector< std::vector< int > > &SY, std::vector< Vector > &P)
static void | grid1_subdivisions (const std::vector< Vector > elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)
static void | grid2_subdivisions (const std::vector< Vector > elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)

## Static Public Attributes

static const int | grid1Dimension = 0
static const int | grid2Dimension = 2
static const int | intersectionDimension = 0

## Friends

class | ComputationMethod< dimWorld, 0, 2, T >
class | ComputationMethod< dimWorld, dim1, dim2, T >

## Member Typedef Documentation

## Vector

template<int dimWorld, typename T>

typedef FieldVector<T, dimWorld> Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::Vector

## Member Function Documentation

## computeIntersectionPoints() [1/2]

template<int dimWorld, typename T>

bool Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::computeIntersectionPoints | ( | const std::vector< FieldVector< T, dimWorld > > & | X,
|  | const std::vector< FieldVector< T, dimWorld > > & | Y,
|  | std::vector< std::vector< int > > & | SX,
|  | std::vector< std::vector< int > > & | SY,
|  | std::vector< FieldVector< T, dimWorld > > & | P )

inline static

## computeIntersectionPoints() [2/2]

bool Dune::GridGlue::ComputationMethod< dimWorld, dim1, dim2, T >::computeIntersectionPoints | ( | const std::vector< Vector > | X,
|  | const std::vector< Vector > | Y,
|  | std::vector< std::vector< int > > & | SX,
|  | std::vector< std::vector< int > > & | SY,
|  | std::vector< Vector > & | P )

static

## grid1_subdivisions() [1/2]

template<int dimWorld, typename T>

void Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::grid1_subdivisions | ( | const std::vector< Vector > & | elementCorners,
|  | std::vector< std::vector< unsigned int > > & | subElements,
|  | std::vector< std::vector< int > > & | faceIds )

inline static

## grid1_subdivisions() [2/2]

void Dune::GridGlue::ComputationMethod< dimWorld, dim1, dim2, T >::grid1_subdivisions | ( | const std::vector< Vector > | elementCorners,
|  | std::vector< std::vector< unsigned int > > & | subElements,
|  | std::vector< std::vector< int > > & | faceIds )

static

## grid2_subdivisions() [1/2]

template<int dimWorld, typename T>

void Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::grid2_subdivisions | ( | const std::vector< Vector > & | elementCorners,
|  | std::vector< std::vector< unsigned int > > & | subElements,
|  | std::vector< std::vector< int > > & | faceIds )

inline static

## grid2_subdivisions() [2/2]

void Dune::GridGlue::ComputationMethod< dimWorld, dim1, dim2, T >::grid2_subdivisions | ( | const std::vector< Vector > | elementCorners,
|  | std::vector< std::vector< unsigned int > > & | subElements,
|  | std::vector< std::vector< int > > & | faceIds )

static

## Friends And Related Symbol Documentation

## ComputationMethod< dimWorld, 0, 2, T >

template<int dimWorld, typename T>

friend class ComputationMethod< dimWorld, 0, 2, T >

friend

## ComputationMethod< dimWorld, dim1, dim2, T >

friend class ComputationMethod< dimWorld, dim1, dim2, T >

friend

## Member Data Documentation

## grid1Dimension

template<int dimWorld, typename T>

const int Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::grid1Dimension = 0

static

## grid2Dimension

template<int dimWorld, typename T>

const int Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::grid2Dimension = 2

static

## intersectionDimension

template<int dimWorld, typename T>

const int Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >::intersectionDimension = 0

static

The documentation for this class was generated from the following file:

- simplexintersection.cc